# include/gutenprint/image.h File Reference

Image functions. More...

## Data Structures

struct | stp_image
| The image type is an abstract data type for interfacing with the image creation program. More...

## Defines

#define | STP_CHANNEL_LIMIT (32)

## Typedefs

typedef stp_image | stp_image_t
| The image type is an abstract data type for interfacing with the image creation program.

## Enumerations

enum | stp_image_status_t { STP_IMAGE_STATUS_OK, STP_IMAGE_STATUS_ABORT }
| Image status. More...

## Functions

void | stp_image_init (stp_image_t *image)
void | stp_image_reset (stp_image_t *image)
int | stp_image_width (stp_image_t *image)
int | stp_image_height (stp_image_t *image)
stp_image_status_t | stp_image_get_row (stp_image_t *image, unsigned char *data, size_t limit, int row)
const char * | stp_image_get_appname (stp_image_t *image)
void | stp_image_conclude (stp_image_t *image)

## Detailed Description

Image functions.